Subject: Re: Anonymous commit (empty Author and Committer)

From: Andrei Borzenkov <[email-masked]>
Date: Sat, 31 Oct 2015 16:54:17 +0300

30.10.2015 23:19, Vladimir 'φ-coder/phcoder' Serbinenko пишет:
> On 30.10.2015 21:09, Vladimir 'φ-coder/phcoder' Serbinenko wrote:
>> On 30.10.2015 21:06, Vladimir 'φ-coder/phcoder' Serbinenko wrote:
>>> On 30.10.2015 15:26, Andrei Borzenkov wrote:
>>>> See
>>>> http://git.savannah.gnu.org/cgit/grub.git/commit/?id=206676601eb853fc319df14cd3398fbdfde665ac
>>>>
>>>>
>>>> I was not even aware that this is possible. Is there anything on server
>>>> side that can prevent it?
>>>>
>>>> Would be good if commit were amended and force pushed to fix it.
>>>>
>>> It is a bug in SGit. I'll investigate how it happened
>
> I don't have non-fast-forward rights. Does someone from savannah-users
> have them? Could he just delete this commit?

Looking at mail archives, non-fast-forward is global repository property 
and disabled by default. We probably need to open Savannah ticket to get 
it temporary enabled.